classification
Title: Sphinx duplicate label warning in docs
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mdk, xtreak
Priority: normal Keywords: patch

Created on 2018-07-10 08:32 by xtreak, last changed 2018-10-21 14:55 by mdk. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8248 merged xtreak, 2018-07-11 10:43
Messages (2)
msg321368 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python triager) Date: 2018-07-10 08:32
While running make docs sphinx generates a warning that there are duplicate labels named `_examples`. It seems it's present in `c-api/typeobj.rst` and `distutils/examples.rst` as below : 

➜  Doc git:(master) rg '.. _examples:'
c-api/typeobj.rst
2324:.. _examples:

distutils/examples.rst
1:.. _examples:

# Warning

2018-07-10T07:30:36.8709047Z /opt/vsts/work/1/s/Doc/distutils/examples.rst:5: WARNING: duplicate label examples, other instance in /opt/vsts/work/1/s/Doc/c-api/typeobj.rst

Sample log : https://python.visualstudio.com/cpython/cpython%20Team/_build/results?buildId=16141&view=logs

There are no references to the label as far as I have checked and I suppose this is an easy fix to be done if someone wants to take it up. The effect is that in the page https://docs.python.org/3.8/c-api/typeobj.html the following text links to distutils/examples for the text "Examples" which should ideally link to https://docs.python.org/3.8/c-api/typeobj.html#examples

"In addition to the following quick reference, the Examples section provides at-a-glance insight into the meaning and use of PyTypeObject."

It will be also helpful if sphinx warnings are made as an error in CI so that these are caught there.

Thanks
msg328215 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2018-10-21 14:54
New changeset 121eb1694cab14df857ba6abe9839654cada15cf by Julien Palard (Xtreak) in branch 'master':
bpo-34081: Fix wrong example link that was linking to distutils (GH-8248)
https://github.com/python/cpython/commit/121eb1694cab14df857ba6abe9839654cada15cf
History
Date User Action Args
2018-10-21 14:55:20mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-21 14:54:56mdksetnosy: + mdk
messages: + msg328215
2018-07-11 10:43:40xtreaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request7780
2018-07-10 08:32:01xtreakcreate